<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@A023B2=03</action>
      <action>maincpu.pb@A023B3=E8</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@A023C3=08</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@A023BB=08</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo PL1">
    <script state="run">
      <action>maincpu.pb@A02455=00</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@A023FF=3E</action>
    </script>
  </cheat>

  <cheat desc="Always have Normal gun PL1">
    <script state="run">
      <action>maincpu.pb@A02407=00</action>
    </script>
  </cheat>

  <cheat desc="Always have Machine gun PL1">
    <script state="run">
      <action>maincpu.pb@A02407=01</action>
    </script>
  </cheat>

  <cheat desc="Always have Armour-Piercing gun PL1">
    <script state="run">
      <action>maincpu.pb@A02407=02</action>
    </script>
  </cheat>

  <cheat desc="Always have 3-way gun PL1">
    <script state="run">
      <action>maincpu.pb@A02407=03</action>
    </script>
  </cheat>

  <cheat desc="Get Normal gun Now! PL1">
    <script state="on">
      <action>maincpu.pb@A02407=00</action>
    </script>
  </cheat>

  <cheat desc="Get Machine gun Now! PL1">
    <script state="on">
      <action>maincpu.pb@A02407=01</action>
    </script>
  </cheat>

  <cheat desc="Get Armour-Piercing gun Now! PL1">
    <script state="on">
      <action>maincpu.pb@A02407=02</action>
    </script>
  </cheat>

  <cheat desc="Get 3-way gun Now! PL1">
    <script state="on">
      <action>maincpu.pb@A02407=03</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@A023C5=08</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@A023BF=08</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo PL2">
    <script state="run">
      <action>maincpu.pb@A02755=00</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@A026FF=3E</action>
    </script>
  </cheat>

  <cheat desc="Always have Normal gun PL2">
    <script state="run">
      <action>maincpu.pb@A02707=00</action>
    </script>
  </cheat>

  <cheat desc="Always have Machine gun PL2">
    <script state="run">
      <action>maincpu.pb@A02707=01</action>
    </script>
  </cheat>

  <cheat desc="Always have Armour-Piercing gun PL2">
    <script state="run">
      <action>maincpu.pb@A02707=02</action>
    </script>
  </cheat>

  <cheat desc="Always have 3-way gun PL2">
    <script state="run">
      <action>maincpu.pb@A02707=03</action>
    </script>
  </cheat>

  <cheat desc="Get Normal gun Now! PL2">
    <script state="on">
      <action>maincpu.pb@A02707=00</action>
    </script>
  </cheat>

  <cheat desc="Get Machine gun Now! PL2">
    <script state="on">
      <action>maincpu.pb@A02707=01</action>
    </script>
  </cheat>

  <cheat desc="Get Armour-Piercing gun Now! PL2">
    <script state="on">
      <action>maincpu.pb@A02707=02</action>
    </script>
  </cheat>

  <cheat desc="Get 3-way gun Now! PL2">
    <script state="on">
      <action>maincpu.pb@A02707=03</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
